<?php
class conexion{

		// propiedades
		var $conn;
		var $rst;

		// CREAR LA CONEXION
		function conectarse() {
		   if (!($this->conn=mysql_connect("localhost","root","1234"))) { // me conecto al servidor Mysql
		   //if (!($this->conn=mysql_connect("localhost","root","cOlOmbIA2007"))) { // me conecto al servidor Mysql
			  echo "Error conectando a la base de datos.";
			  exit();
		   }
		   if (!mysql_select_db("backup",$this->conn)) { // selecciono la base de datos
			  echo "Error seleccionando la base de datos.";
			  exit();
		   }

		}

		//CERRAR LA BASE DATOS
		function cerrar(){
			if(isset($this->conn)){
				mysql_close($this->conn);  // cierro la conexion
				unset($this->conn);
				unset($this->rst);
			}
		}

		// CONSULTAR REGISTROS
		function  consultar($sql){
			if(isset($this->conn)){
				$this->rst=mysql_query($sql,$this->conn); // ejecuto una consulta
				return $this->rst;
			}
			else
				echo "No se puede consultar los registros de la BD";
		}

		function modificar($sql){
			if(isset($this->conn)){
				$this->rst=mysql_query($sql,$this->conn); // ejecuto una consulta
			}
			else
				echo "No se puede modificar los registros de la BD";
		}

		function getRst(){
			return $this->rst;
		}


	}


?>
